
%global meadversion 9.0.7
%global namedversion 9.0.7.redhat-10
%global meadalpha .redhat_10
%global meadrel .1
%global serial 10
%global namedversionrel redhat-10

%bcond_without mead
%bcond_without zips

%define _jarsign_opts --nocopy --skip=%{basedir} --skip=%{bindir} --skip=%{_javadir} 

%define section free

%{?scl:%global nfsmountable 1}
%{?scl:%scl_package tomcat}
%{!?scl:%global pkg_name %{name}}

%define with_signing 0

%define servletspec 4.0
%define jspspec 2.3
%define elspec 3.0
%define elspecalt 3_0
%define tcuid 53
%define ecjrev 4.6.1

# FHS 2.3 compliant tree structure - http://www.pathname.com/fhs/2.3/
%define basedir %{_localstatedir}/lib/%{pkg_name}
%define appdir %{basedir}/webapps
%define homedir %{_datadir}/%{pkg_name}
%define bindir %{homedir}/bin
%define confdir %{_sysconfdir}/%{pkg_name}
%define libdir %{_javadir}/%{pkg_name}
%define logdir %{_localstatedir}/log/%{pkg_name}
%define cachedir %{_localstatedir}/cache/%{pkg_name}
%define tempdir %{cachedir}/temp
%define workdir %{cachedir}/work
#%define _initrddir %{_sysconfdir}/rc.d/init.d
%define javasigneddir %{_datadir}/java-signed
%define javaversion 1.7.0

# We need to overwrite the _file_context_* macros because they expand with the SCL prefix which results in bad file paths
%define _file_context_file %{_root_sysconfdir}/selinux/${SELINUXTYPE}/contexts/files/file_contexts
%define _file_context_file_pre %{_root_sysconfdir}/selinux/${SELINUXTYPE}/contexts/files/file_contexts.pre
%if 0%{?rhel} <= 6
    %{!?_selinux_policy_version: %global _selinux_policy_version %(sed -e 's,.*selinux-policy-\\([^/]*\\)/.*,\\1,' %{_datadir}/selinux/devel/policyhelp 2>/dev/null)}
%endif

%define maven_version 9.0.7.redhat-10

Name: %{?scl_prefix}tomcat
Epoch: 0
Version: %{meadversion}
Release: %{serial}%{meadalpha}%{meadrel}%{?dist}
Summary: Apache Servlet/JSP Engine, RI for Servlet %{servletspec}/JSP %{jspspec} API
Group: Networking/Daemons

%if %with mead
Source100: tomcat-parent-9.0.7.redhat-10-scm-sources.zip
Source102: tomcat-embed-el-9.0.7.redhat-10.jar
Source103: tomcat-embed-el-9.0.7.redhat-10.pom
Source104: tomcat-embed-el-9.0.7.redhat-10-sources.jar
Source105: tomcat-embed-jasper-9.0.7.redhat-10.jar
Source106: tomcat-embed-jasper-9.0.7.redhat-10.pom
Source107: tomcat-embed-jasper-9.0.7.redhat-10-sources.jar
Source108: tomcat-storeconfig-9.0.7.redhat-10.jar
Source109: tomcat-storeconfig-9.0.7.redhat-10.pom
Source110: tomcat-storeconfig-9.0.7.redhat-10-sources.jar
Source111: tomcat-parent-9.0.7.redhat-10-project-sources.tar.gz
Source112: tomcat-parent-9.0.7.redhat-10.pom
Source113: tomcat-embed-websocket-9.0.7.redhat-10.pom
Source114: tomcat-embed-websocket-9.0.7.redhat-10-sources.jar
Source115: tomcat-embed-websocket-9.0.7.redhat-10.jar
Source116: tomcat-jni-9.0.7.redhat-10-sources.jar
Source117: tomcat-jni-9.0.7.redhat-10.jar
Source118: tomcat-jni-9.0.7.redhat-10.pom
Source119: tomcat-i18n-es-9.0.7.redhat-10.jar
Source120: tomcat-i18n-es-9.0.7.redhat-10.pom
Source121: tomcat-dbcp-9.0.7.redhat-10-sources.jar
Source122: tomcat-dbcp-9.0.7.redhat-10.pom
Source123: tomcat-dbcp-9.0.7.redhat-10.jar
Source124: tomcat-el-api-9.0.7.redhat-10.jar
Source125: tomcat-el-api-9.0.7.redhat-10.pom
Source126: tomcat-el-api-9.0.7.redhat-10-sources.jar
Source127: tomcat-jasper-el-9.0.7.redhat-10.pom
Source128: tomcat-jasper-el-9.0.7.redhat-10.jar
Source129: tomcat-jasper-el-9.0.7.redhat-10-sources.jar
Source130: tomcat-api-9.0.7.redhat-10.pom
Source131: tomcat-api-9.0.7.redhat-10.jar
Source132: tomcat-api-9.0.7.redhat-10-sources.jar
Source133: tomcat-util-9.0.7.redhat-10.pom
Source134: tomcat-util-9.0.7.redhat-10.jar
Source135: tomcat-util-9.0.7.redhat-10-sources.jar
Source136: tomcat-jsp-api-9.0.7.redhat-10-sources.jar
Source137: tomcat-jsp-api-9.0.7.redhat-10.jar
Source138: tomcat-jsp-api-9.0.7.redhat-10.pom
Source139: tomcat-embed-core-9.0.7.redhat-10.jar
Source140: tomcat-embed-core-9.0.7.redhat-10-sources.jar
Source141: tomcat-embed-core-9.0.7.redhat-10.pom
Source142: tomcat-jasper-9.0.7.redhat-10-sources.jar
Source143: tomcat-jasper-9.0.7.redhat-10.jar
Source144: tomcat-jasper-9.0.7.redhat-10.pom
Source145: tomcat-catalina-ant-9.0.7.redhat-10.jar
Source146: tomcat-catalina-ant-9.0.7.redhat-10-sources.jar
Source147: tomcat-catalina-ant-9.0.7.redhat-10.pom
Source148: tomcat-bootstrap-9.0.7.redhat-10.jar
Source149: tomcat-bootstrap-9.0.7.redhat-10-sources.jar
Source150: tomcat-bootstrap-9.0.7.redhat-10.pom
Source151: tomcat-catalina-ha-9.0.7.redhat-10.pom
Source152: tomcat-catalina-ha-9.0.7.redhat-10-sources.jar
Source153: tomcat-catalina-ha-9.0.7.redhat-10.jar
Source154: tomcat-catalina-9.0.7.redhat-10.pom
Source155: tomcat-catalina-9.0.7.redhat-10.jar
Source156: tomcat-catalina-9.0.7.redhat-10-sources.jar
Source157: tomcat-coyote-9.0.7.redhat-10.pom
Source158: tomcat-coyote-9.0.7.redhat-10.jar
Source159: tomcat-coyote-9.0.7.redhat-10-sources.jar
Source160: tomcat-i18n-ja-9.0.7.redhat-10.pom
Source161: tomcat-i18n-ja-9.0.7.redhat-10.jar
Source162: tomcat-juli-9.0.7.redhat-10.jar
Source163: tomcat-juli-9.0.7.redhat-10-sources.jar
Source164: tomcat-juli-9.0.7.redhat-10.pom
Source165: tomcat-util-scan-9.0.7.redhat-10-sources.jar
Source166: tomcat-util-scan-9.0.7.redhat-10.pom
Source167: tomcat-util-scan-9.0.7.redhat-10.jar
Source168: tomcat-jdbc-9.0.7.redhat-10.pom
Source169: tomcat-jdbc-9.0.7.redhat-10.jar
Source170: tomcat-jdbc-9.0.7.redhat-10-sources.jar
Source171: tomcat-websocket-api-9.0.7.redhat-10.pom
Source172: tomcat-websocket-api-9.0.7.redhat-10.jar
Source173: tomcat-websocket-api-9.0.7.redhat-10-sources.jar
Source174: tomcat-websocket-9.0.7.redhat-10-sources.jar
Source175: tomcat-websocket-9.0.7.redhat-10.pom
Source176: tomcat-websocket-9.0.7.redhat-10.jar
Source177: tomcat-servlet-api-9.0.7.redhat-10.pom
Source178: tomcat-servlet-api-9.0.7.redhat-10-sources.jar
Source179: tomcat-servlet-api-9.0.7.redhat-10.jar
Source180: tomcat-jaspic-api-9.0.7.redhat-10.pom
Source181: tomcat-jaspic-api-9.0.7.redhat-10.jar
Source182: tomcat-jaspic-api-9.0.7.redhat-10-sources.jar
Source183: tomcat-annotations-api-9.0.7.redhat-10.pom
Source184: tomcat-annotations-api-9.0.7.redhat-10.jar
Source185: tomcat-annotations-api-9.0.7.redhat-10-sources.jar
Source186: tomcat-tribes-9.0.7.redhat-10.jar
Source187: tomcat-tribes-9.0.7.redhat-10.pom
Source188: tomcat-tribes-9.0.7.redhat-10-sources.jar
Source189: tomcat-i18n-fr-9.0.7.redhat-10.pom
Source190: tomcat-i18n-fr-9.0.7.redhat-10.jar
Source191: tomcat-9.0.7.redhat-10-src.zip
Source192: tomcat-9.0.7.redhat-10.pom
Source193: tomcat-9.0.7.redhat-10.zip
Source194: tomcat-9.0.7.redhat-10-examples.zip
Source195: tomcat-9.0.7.redhat-10-docs.zip
%endif

License: ASL 2.0
URL: http://tomcat.apache.org/

Source5:    %{pkg_name}.logrotate
Source6:    %{pkg_name}-digest.sh
Source7:    %{pkg_name}-tool-wrapper.sh
# for SELinux
Source12:    %{pkg_name}.if

# systemd doesn't exist in versions before rhel7
%if 0%{?rhel} >= 7
Source1:     %{pkg_name}.el7.conf
Source3:     %{pkg_name}.el7.sysconfig
Source4:     %{pkg_name}.el7.wrapper
Source11:    %{pkg_name}.el7.te
Source13:    %{pkg_name}.el7.fc
Source17:    %{pkg_name}.service
Source18:    %{pkg_name}-functions
Source19:    %{pkg_name}-preamble
Source20:    %{pkg_name}-server
Source21:    %{pkg_name}-named.service
Source22:    %{pkg_name}-jsvc.service
%else
Source1:     %{pkg_name}.el6.conf
Source3:     %{pkg_name}.el6.sysconfig
Source11:    %{pkg_name}.el6.te
Source13:    %{pkg_name}.el6.fc
Source2:     %{pkg_name}.init
Source4:     %{pkg_name}.el6.wrapper
Source23:    %{pkg_name}-jsvc.el6.wrapper
Source24:    %{pkg_name}-jsvc.init
%endif

# The location of a JAR changed between el6 and el7,
# so there are two patches...
Patch0:    catalina-policy.patch

BuildRoot: %{_tmppath}/%{pkg_name}-%{version}-%{release}-root
BuildArch: noarch

BuildRequires: unzip
BuildRequires: %{?scl_prefix}ecj
BuildRequires: findutils
BuildRequires: %{?scl_prefix}javapackages-tools
BuildRequires: jbcs-httpd24-javapackages-tools
BuildRequires: jbcs-httpd24-apache-commons-daemon

%if 0%{?rhel} == 6
BuildRequires: java7-devel >= 0:1.7.0
%else
BuildRequires: java-devel >= 0:1.7.0
%endif

Requires(pre): shadow-utils
Requires(pre): shadow-utils
Requires: jbcs-httpd24-apache-commons-daemon
Requires: java-headless >= 1.8.0
Requires: %{?scl_prefix}javapackages-tools
Requires: procps
Requires: %{name}-lib = %{epoch}:%{version}-%{release}
Requires(post):  chkconfig
Requires(preun): chkconfig
Requires(post):  /lib/lsb/init-functions
Requires(preun): /lib/lsb/init-functions
Requires(post):   %{?scl_prefix}javapackages-tools
Requires(postun): %{?scl_prefix}javapackages-tools

%{?scl:Requires: %scl_runtime}

%description
Tomcat is the servlet container that is used in the official Reference
Implementation for the Java Servlet and JavaServer Pages technologies.
The Java Servlet and JavaServer Pages specifications are developed by
Sun under the Java Community Process.

Tomcat is developed in an open and participatory environment and
released under the Apache Software License version 2.0. Tomcat is intended
to be a collaboration of the best-of-breed developers from around the world.

%package admin-webapps
Group: System Environment/Applications

Summary: The host-manager and manager web applications for Apache Tomcat
Requires: %{name} = %{epoch}:%{version}-%{release}

%description admin-webapps
The host-manager and manager web applications for Apache Tomcat.

%package docs-webapp
Group: System Environment/Applications

Summary: The docs web application for Apache Tomcat
Requires: %{name} = %{epoch}:%{version}-%{release}

%description docs-webapp
The docs web application for Apache Tomcat.

%package el-%{elspec}-api
Summary: Expression Language v%{elspec} API
Group: Development/Libraries/Java

Provides: el_%{elspecalt}_api = %{epoch}:%{version}-%{release}
Provides: el_api = 0:%{elspec}
Obsoletes: el_1_0_api < %{epoch}:%{version}-%{release}
Obsoletes: el_api < %{epoch}:%{elspec}
Requires(post):   %{?scl_prefix}javapackages-tools
Requires(postun): %{?scl_prefix}javapackages-tools
Requires: %{?scl_prefix}javapackages-tools

Requires(preun):  %{_root_sbindir}/update-alternatives
Requires(post):   %{_root_sbindir}/update-alternatives

%description el-%{elspec}-api
Expression Language %{elspec} 

%package javadoc
Group: Documentation

Summary: Javadoc generated documentation for Apache Tomcat
Requires(pre): coreutils
Requires:      %{?scl_prefix}javapackages-tools
%global __requires_exclude jpackage-utils

%description javadoc
Javadoc generated documentation for Apache Tomcat.

%package jsvc
Group: System Environment/Daemons

Summary: Apache jsvc wrapper for Apache Tomcat as separate service
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: jbcs-httpd24-apache-commons-daemon-jsvc

%description jsvc
Systemd service to start tomcat with jsvc,
which allows tomcat to perform some privileged operations
(e.g. bind to a port < 1024) and then switch identity to a non-privileged user.

%package jsp-%{jspspec}-api
Group: Internet/WWW/Dynamic Content

Summary: Apache Tomcat JSP API implementation classes
Provides: jsp = %{jspspec}
Provides: jsp22
Obsoletes: jsp21
Requires: %{name}-servlet-%{servletspec}-api = %{epoch}:%{version}-%{release}
Requires(post):   %{?scl_prefix}javapackages-tools
Requires(postun): %{?scl_prefix}javapackages-tools
Requires: %{?scl_prefix}javapackages-tools

Requires(post):  %{_root_sbindir}/update-alternatives
Requires(preun): %{_root_sbindir}/update-alternatives

%description jsp-%{jspspec}-api
Apache Tomcat JSP API implementation classes.

%package lib
Group: Development/Compilers

Summary: Libraries needed to run the Tomcat Web container
Provides: %{name}-annotations-api = %{epoch}:%{version}-%{release}
Provides: %{name}-api = %{epoch}:%{version}-%{release}
Provides: %{name}-catalina-ant = %{epoch}:%{version}-%{release}
Provides: %{name}-catalina = %{epoch}:%{version}-%{release}
Provides: %{name}-coyote = %{epoch}:%{version}-%{release}
Provides: %{name}-i18n-es = %{epoch}:%{version}-%{release}
Provides: %{name}-i18n-fr = %{epoch}:%{version}-%{release}
Provides: %{name}-i18n-ja = %{epoch}:%{version}-%{release}
Provides: %{name}-jasper-el = %{epoch}:%{version}-%{release}
Provides: %{name}-jasper = %{epoch}:%{version}-%{release}
Provides: %{name}-jdbc = %{epoch}:%{version}-%{release}
Provides: %{name}-juli = %{epoch}:%{version}-%{release}
Provides: %{name}-util = %{epoch}:%{version}-%{release}
Provides: %{name}-websockets = %{epoch}:%{version}-%{release}
Requires: %{name}-jsp-%{jspspec}-api = %{epoch}:%{version}-%{release}
Requires: %{name}-servlet-%{servletspec}-api = %{epoch}:%{version}-%{release}
Requires: %{name}-el-%{elspec}-api = %{epoch}:%{version}-%{release}
Requires(post):   %{?scl_prefix}javapackages-tools
Requires(postun): %{?scl_prefix}javapackages-tools
Requires: %{?scl_prefix}javapackages-tools
Requires: %{?scl_prefix}ecj
Requires(preun): coreutils

%description lib
Libraries needed to run the Tomcat Web container.

%package servlet-%{servletspec}-api
Group: Internet/WWW/Dynamic Content

Summary: Apache Tomcat Servlet API implementation classes
Provides: servlet = %{servletspec}
Provides: servlet6
Provides: servlet31
Requires(post): %{?scl_prefix}javapackages-tools
Requires(postun): %{?scl_prefix}javapackages-tools
Requires: %{?scl_prefix}javapackages-tools
Requires(post):  %{_root_sbindir}/update-alternatives
Requires(preun): %{_root_sbindir}/update-alternatives

%description servlet-%{servletspec}-api
Apache Tomcat Servlet API implementation classes.

%package webapps
Group: System Environment/Applications

Summary: The ROOT web application for Apache Tomcat
Requires: %{name} = %{epoch}:%{version}-%{release}

%description webapps
The ROOT web application for Apache Tomcat.

%if %with zips
%package zip
Summary:     Container for the zipped distribution of tomcat
Group:       Development


%description zip
Container for the zipped distribution of tomcat

%package src-zip
Summary:     Container for the sources
Group:       Development


%description src-zip
Container for the sources
%endif

%package selinux
Summary:        Selinux policy for tomcat
Group:          System Environment/Daemons

BuildRequires:  selinux-policy, selinux-policy-devel
%if 0%{?rhel} == 6
BuildRequires:  /usr/share/selinux/devel/policyhelp
%endif

%if "%{_selinux_policy_version}" != ""
Requires(pre):      selinux-policy-targeted >= %{_selinux_policy_version}
Requires(post):     selinux-policy-targeted >= %{_selinux_policy_version}
Requires(postun):   selinux-policy-targeted >= %{_selinux_policy_version}
%endif
Requires:           %{name} = %{version}-%{release}
Requires(pre):      policycoreutils, policycoreutils-python, libselinux-utils
Requires(post):     policycoreutils, policycoreutils-python, libselinux-utils
Requires(postun):   policycoreutils, policycoreutils-python, libselinux-utils

%description selinux
This is the selinux policy for tomcat.

%prep
echo Prep Phase

%setup -q -c -T

# binary distribution
unzip %{_sourcedir}/%{pkg_name}-%{namedversion}.zip
# javadocs zip
unzip -d fulldocs %{_sourcedir}/%{pkg_name}-%{namedversion}-docs.zip

# Cleanup all of the windows resources
find . -type f -name "*.bat" -o -type f -name "*.pdf" | xargs -t -I{} %{__rm} {}

# Apply the policy patch to allow use of ecj and commons-daemon jars
pushd apache-%{pkg_name}-%{namedversion}
%patch0 -p0
popd

%{__mkdir_p} selinux
%{__cp} -p %{SOURCE11} ./selinux/%{name}.te
%{__cp} -p %{SOURCE12} ./selinux/%{name}.if
%{__cp} -p %{SOURCE13} ./selinux/%{name}.fc

%build
echo Build Phase

pushd apache-%{pkg_name}-%{namedversion}
    # Remove jars from RPM distribution which uses the ECJ and commons-daemon packages
    %{__rm} bin/commons-daemon.jar
    %{__rm} lib/ecj-%{ecjrev}*.jar
popd

pushd selinux
  make -f %{_root_datadir}/selinux/devel/Makefile
  # we don't want to include tmp in the doc distribution
  %{__rm} -rf tmp
popd

%install
echo Install Phase

scl enable %{scl} - <<"SCLEOF"
%{__rm} -rf $RPM_BUILD_ROOT
# build initial path structure
%{__install} -d -m 0755 ${RPM_BUILD_ROOT}%{_bindir}
%{__install} -d -m 0755 ${RPM_BUILD_ROOT}%{_javadocdir}/%{pkg_name}-%{version}
%{__ln_s} %{pkg_name}-%{version} ${RPM_BUILD_ROOT}%{_javadocdir}/%{pkg_name}
%{__install} -d -m 0755 ${RPM_BUILD_ROOT}%{_root_sysconfdir}/logrotate.d
%{__install} -d -m 0755 ${RPM_BUILD_ROOT}%{_sysconfdir}/sysconfig
%{__install} -d -m 0775 ${RPM_BUILD_ROOT}%{appdir}
%{__install} -d -m 0775 ${RPM_BUILD_ROOT}%{bindir}
%{__install} -d -m 0775 ${RPM_BUILD_ROOT}%{confdir}
%{__install} -d -m 0775 ${RPM_BUILD_ROOT}%{confdir}/Catalina/localhost
%{__install} -d -m 0755 ${RPM_BUILD_ROOT}%{libdir}
%{__install} -d -m 0755 ${RPM_BUILD_ROOT}%{logdir}
%{__install} -d -m 0775 ${RPM_BUILD_ROOT}%{homedir}
%{__install} -d -m 0775 ${RPM_BUILD_ROOT}%{tempdir}
%{__install} -d -m 0775 ${RPM_BUILD_ROOT}%{workdir}
%{__install} -d -m 0755 ${RPM_BUILD_ROOT}%{_sbindir}

%if 0%{?rhel} >= 7
    %{__install} -d -m 0775 ${RPM_BUILD_ROOT}%{_localstatedir}/lib/tomcats
    %{__install} -d -m 0755 ${RPM_BUILD_ROOT}%{_unitdir}
    %{__install} -d -m 0755 ${RPM_BUILD_ROOT}%{_libexecdir}/%{pkg_name}
    %{__install} -d -m 0775 ${RPM_BUILD_ROOT}%{confdir}/conf.d
    /bin/echo "Place your custom *.conf files here. Shell expansion is supported." > ${RPM_BUILD_ROOT}%{confdir}/conf.d/README
%else
    %{__install} -d -m 0755 ${RPM_BUILD_ROOT}%{_root_initddir}
%endif

# move things into place
echo Install: Copy things into place

pushd apache-%{pkg_name}-%{namedversion}
    %{__cp} -a bin/*.{jar,xml} ${RPM_BUILD_ROOT}%{bindir}
    %{__cp} -a conf/*.{policy,properties,xml,xsd} ${RPM_BUILD_ROOT}%{confdir}
    %{__cp} -a lib/*.jar ${RPM_BUILD_ROOT}%{libdir}
    %{__cp} -a webapps/* ${RPM_BUILD_ROOT}%{appdir}
popd

# javadoc
pushd fulldocs/apache-%{pkg_name}-%{namedversion}/webapps/
    %{__cp} -a docs/api/* ${RPM_BUILD_ROOT}%{_javadocdir}/%{pkg_name}-%{version}
popd

%{__sed} -e "s|\@\@\@TCHOME\@\@\@|%{homedir}|g" \
         -e "s|\@\@\@TCTEMP\@\@\@|%{tempdir}|g" \
         -e "s|\@\@\@LIBDIR\@\@\@|%{_libdir}|g" %{SOURCE1} \
    > ${RPM_BUILD_ROOT}%{confdir}/%{pkg_name}.conf
%if 0%{?rhel} <= 6
    # JWS-741, remove after creating el specific conf files
    %{__sed} -i 's@ For shell expansion support@@g' ${RPM_BUILD_ROOT}%{confdir}/%{pkg_name}.conf
    %{__sed} -i 's@# place your custom files as /etc/opt/rh/jws5/tomcat/conf.d/\*.conf@#@g' ${RPM_BUILD_ROOT}%{confdir}/%{pkg_name}.conf
%endif
%{__sed} -e "s|\@\@\@TCHOME\@\@\@|%{homedir}|g" \
         -e "s|\@\@\@TCTEMP\@\@\@|%{tempdir}|g" \
         -e "s|\@\@\@LIBDIR\@\@\@|%{_libdir}|g" %{SOURCE3} \
    > ${RPM_BUILD_ROOT}%{_sysconfdir}/sysconfig/%{pkg_name}
%{__install} -m 0755 %{SOURCE4} \
    ${RPM_BUILD_ROOT}%{_sbindir}/%{pkg_name}
%{__sed} -e "s|\@\@\@TCLOG\@\@\@|%{logdir}|g" %{SOURCE5} \
    > ${RPM_BUILD_ROOT}%{_root_sysconfdir}/logrotate.d/%{name}
%{__sed} -e "s|\@\@\@TCHOME\@\@\@|%{homedir}|g" \
         -e "s|\@\@\@TCTEMP\@\@\@|%{tempdir}|g" \
         -e "s|\@\@\@LIBDIR\@\@\@|%{_libdir}|g" %{SOURCE6} \
    > ${RPM_BUILD_ROOT}%{_bindir}/%{pkg_name}-digest
%{__sed} -e "s|\@\@\@TCHOME\@\@\@|%{homedir}|g" \
         -e "s|\@\@\@TCTEMP\@\@\@|%{tempdir}|g" \
         -e "s|\@\@\@LIBDIR\@\@\@|%{_libdir}|g" %{SOURCE7} \
    > ${RPM_BUILD_ROOT}%{_bindir}/%{pkg_name}-tool-wrapper

%if 0%{?rhel} >= 7
%{__install} -m 0644 %{SOURCE17} \
    ${RPM_BUILD_ROOT}%{_unitdir}/%{name}.service
%{__install} -m 0644 %{SOURCE18} \
    ${RPM_BUILD_ROOT}%{_libexecdir}/%{pkg_name}/functions
%{__install} -m 0755 %{SOURCE19} \
    ${RPM_BUILD_ROOT}%{_libexecdir}/%{pkg_name}/preamble
%{__install} -m 0755 %{SOURCE20} \
    ${RPM_BUILD_ROOT}%{_libexecdir}/%{pkg_name}/server
%{__install} -m 0644 %{SOURCE21} \
    ${RPM_BUILD_ROOT}%{_unitdir}/%{name}@.service
%{__install} -m 0644 %{SOURCE22} \
    ${RPM_BUILD_ROOT}%{_unitdir}/%{name}-jsvc.service
%else
%{__install} -m 0755 %{SOURCE2} \
    ${RPM_BUILD_ROOT}%{_root_initddir}/%{name}
%{__install} -m 0755 %{SOURCE24} \
    ${RPM_BUILD_ROOT}%{_root_initddir}/%{name}-jsvc
%{__install} -m 0755 %{SOURCE23} \
    ${RPM_BUILD_ROOT}%{_sbindir}/%{pkg_name}-jsvc
%endif

pushd ${RPM_BUILD_ROOT}%{libdir}
    # fix up jars to include version number
    for i in *.jar; do
        j="$(echo $i | %{__sed} -e 's,\.jar$,,')"
        %{__ln_s} ${j}.jar ${j}-%{version}.jar 
    done

    # ECJ
    %{__ln_s} $(scl enable jws5 'build-classpath ecj') ecj-%{ecjrev}-jws5.jar
popd

pushd ${RPM_BUILD_ROOT}%{_javadir}
    # symlink to maven components
    echo "Link maven components"
    #tomcat-jsp-api
    %{__ln_s} %{pkg_name}/jsp-api-%{version}.jar \
        %{pkg_name}-jsp-%{jspspec}-api-%{version}.jar
    # tomcat-servlet-api
    %{__ln_s} %{pkg_name}/servlet-api-%{version}.jar \
        %{pkg_name}-servlet-%{servletspec}-api-%{version}.jar
    # tomcat-el-api
    %{__ln_s} %{pkg_name}/el-api-%{version}.jar \
        %{pkg_name}-el-%{elspec}-api-%{version}.jar

    # extra links to satisfy what's defined for rpms
    %{__ln_s} %{pkg_name}-jsp-%{jspspec}-api-%{version}.jar %{pkg_name}-jsp-%{jspspec}-api.jar
    %{__ln_s} %{pkg_name}-servlet-%{servletspec}-api-%{version}.jar %{pkg_name}-servlet-%{servletspec}-api.jar
    %{__ln_s} %{pkg_name}-el-%{elspec}-api-%{version}.jar %{pkg_name}-el-%{elspec}-api.jar

    # links set up by  update-alternatives
    /bin/touch el_%{elspecalt}_api.jar
    /bin/touch el-api.jar
    /bin/touch jsp-api.jar
    /bin/touch servlet-api.jar
popd

pushd ${RPM_BUILD_ROOT}%{bindir}
    # fix up jars to include version number
    for i in *.jar; do
        j="$(echo $i | %{__sed} -e 's,\.jar$,,')"
        %{__mv} ${j}.jar ${j}-%{version}.jar
        %{__ln_s} ${j}-%{version}.jar ${j}.jar
    done

    # link commons-daemon
    commons_daemon_path=$(scl enable jbcs-httpd24 'build-classpath commons-daemon')
    %{__ln_s} $commons_daemon_path $(readlink $commons_daemon_path | sed -r 's/.redhat-[0-9]+/-jws5/')
popd

# symlink to the FHS locations where we've installed things
pushd ${RPM_BUILD_ROOT}%{homedir}
    %{__ln_s} %{appdir} webapps
    %{__ln_s} %{confdir} conf
    %{__ln_s} %{libdir} lib
    %{__ln_s} %{logdir} logs
    %{__ln_s} %{tempdir} temp
    %{__ln_s} %{workdir} work
popd

%if %with zips
echo Zips
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_javadir}/%{pkg_name}-fordev
# Copy over source zip for the src-zip subpackage
%{__install} -p -m 0644 %{_sourcedir}/%{pkg_name}-%{namedversion}-src.zip ${RPM_BUILD_ROOT}%{_javadir}/%{pkg_name}-fordev/tomcat-%{namedversion}-src.zip
# Copy over zip for the zip subpackage
%{__install} -p -m 0644 %{_sourcedir}/%{pkg_name}-%{namedversion}-docs.zip ${RPM_BUILD_ROOT}%{_javadir}/%{pkg_name}-fordev/tomcat-%{namedversion}-docs.zip
%{__install} -p -m 0644 %{_sourcedir}/%{pkg_name}-%{namedversion}-examples.zip ${RPM_BUILD_ROOT}%{_javadir}/%{pkg_name}-fordev/tomcat-%{namedversion}-examples.zip
%{__install} -p -m 0644 %{_sourcedir}/%{pkg_name}-%{namedversion}.zip ${RPM_BUILD_ROOT}%{_javadir}/%{pkg_name}-fordev/tomcat-%{namedversion}.zip
echo End Zips
%endif

install -d $RPM_BUILD_ROOT/%{_datadir}/selinux/packages/%{name}
install -p -m 644 selinux/%{name}.pp $RPM_BUILD_ROOT/%{_datadir}/selinux/packages/%{name}/%{name}.pp

# End scl usage
SCLEOF

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%pre
# add the tomcat user and group
getent group tomcat >/dev/null || %{_root_sbindir}/groupadd -f -g %{tcuid} -r tomcat
if ! getent passwd tomcat >/dev/null ; then
    if ! getent passwd %{tcuid} >/dev/null ; then
        %{_root_sbindir}/useradd -r -u %{tcuid} -g tomcat -d %{homedir} -s /sbin/nologin -c "Apache Tomcat" tomcat
        # Tomcat uses a reserved ID, so there should never be an else
    fi
fi
exit 0

%post
# install but don't activate
%if 0%{?rhel} >= 7
%systemd_post %{name}.service
%else
/sbin/chkconfig --add %{name}
%endif

%pre javadoc
%{__rm} -rf %{_javadocdir}/%{pkg_name}

# el-api
%post el-%{elspec}-api
    %{_root_sbindir}/update-alternatives --install %{_root_datadir}/java/el-api.jar el-api %{_javadir}/%{pkg_name}-el-%{elspec}-api.jar 20500
    %{_root_sbindir}/update-alternatives --install %{_root_datadir}/java/el_%{elspecalt}_api.jar el_%{elspecalt}_api %{_javadir}/%{pkg_name}-el-%{elspec}-api.jar 20500

%preun el-%{elspec}-api
if [ "$1" = "0" ]; then
    %{_root_sbindir}/update-alternatives --remove el-api %{_javadir}/%{pkg_name}-el-%{elspec}-api.jar
    %{_root_sbindir}/update-alternatives --remove el_%{elspecalt}_api %{_javadir}/%{pkg_name}-el-%{elspec}-api.jar
fi

# jsp api
%post jsp-%{jspspec}-api
%{_root_sbindir}/update-alternatives --install %{_root_datadir}/java/jsp-api.jar jsp-api \
    %{_javadir}/%{pkg_name}-jsp-%{jspspec}-api.jar 20300

%preun jsp-%{jspspec}-api
if [ "$1" = "0" ]; then
    %{_root_sbindir}/update-alternatives --remove jsp-api \
        %{_javadir}/%{pkg_name}-jsp-%{jspspec}-api.jar
fi

# servlet-api
%post servlet-%{servletspec}-api
%{_root_sbindir}/update-alternatives --install %{_root_datadir}/java/servlet-api.jar servlet-api \
    %{_javadir}/%{pkg_name}-servlet-%{servletspec}-api.jar 32000

%preun servlet-%{servletspec}-api
if [ "$1" = "0" ]; then
    %{_root_sbindir}/update-alternatives --remove servlet-api \
        %{_javadir}/%{pkg_name}-servlet-%{servletspec}-api.jar
fi

%preun
# clean tempdir and workdir on removal or upgrade
%{__rm} -rf %{workdir}/* %{tempdir}/*

%if 0%{?rhel} >= 7
# clean tempdir and workdir on removal or upgrade
%{__rm} -rf %{workdir}/* %{tempdir}/*
%systemd_preun %{name}.service
%else
if [ "$1" = "0" ]; then
    %{_root_initddir}/%{name} stop >/dev/null 2>&1
    /sbin/chkconfig --del %{name}
fi
%endif

%if 0%{?rhel} >= 7
%systemd_postun_with_restart %{name}.service
%endif

%pre selinux
# The %%selinux_relabel_pre macro expands incorrectly with SCL on el7
. /etc/selinux/config
_policytype=
if [ -z "${_policytype}" ]; then
  _policytype="targeted"
fi
if %{_root_sbindir}/selinuxenabled && [ "${SELINUXTYPE}" = "${_policytype}" ]; then
    [ -f %{_file_context_file_pre} ] || cp -f %{_file_context_file} %{_file_context_file_pre}
fi

%post selinux
# The following macros expand incorrectly with SCL on el7
# %%selinux_modules_install %%{_datadir}/selinux/packages/%%{name}/%%{name}.pp
# %%selinux_relabel_post
. /etc/selinux/config
_policytype=
if [ -z "${_policytype}" ]; then
  _policytype="targeted"
fi

%if 0%{?rhel} <= 6
    %{_root_sbindir}/semodule -n -s ${_policytype} -i %{_datadir}/selinux/packages/%{name}/%{name}.pp
%else
    %{_root_sbindir}/semodule -n -s ${_policytype} -X 200 -i %{_datadir}/selinux/packages/%{name}/%{name}.pp 
%endif

if %{_root_sbindir}/selinuxenabled && [ "${SELINUXTYPE}" = "${_policytype}" ]; then
    %{_root_sbindir}/load_policy
    if [ -f %{_file_context_file_pre} ]; then
        /sbin/fixfiles -C %{_file_context_file_pre} restore
        %if 0%{?rhel} <= 6
            /sbin/restorecon %{_initrddir}/%{name} &> /dev/null
        %endif
        rm -f %{_file_context_file_pre}
    fi
fi

%if 0%{?rhel} <= 6
    # mxi_port doesn't exist on rhel-6, so we need to allow tomcat to bind to 8005
    %{_root_sbindir}/semanage port -a -t http_port_t -p tcp 8005 > /dev/null 2>&1 || :
%endif

%postun selinux
# The following macros expand incorrectly with SCL on el7
# %%selinux_modules_uninstall %{name}
# %%selinux_relabel_post
if [ $1 -eq 0 ]; then
    . /etc/selinux/config
    _policytype=
    if [ -z "${_policytype}" ]; then
      _policytype="targeted"
    fi

    %if 0%{?rhel} <= 6
        /usr/sbin/semodule -n -r %{name} &> /dev/null || :
    %else
        /usr/sbin/semodule -n -X 200 -r %{name} &> /dev/null || :
    %endif
    if %{_root_sbindir}/selinuxenabled && [ "${SELINUXTYPE}" = "${_policytype}" ]; then
       %{_root_sbindir}/load_policy
       if [ -f %{_file_context_file_pre} ]; then
         /sbin/fixfiles -C %{_file_context_file_pre} restore
         rm -f %{_file_context_file_pre}
       fi
    fi

    %if 0%{?rhel} <= 6
        # mxi_port doesn't exist on rhel-6, so we need to cleanup the port we added in %%post
        %{_root_sbindir}/semanage port -d -t http_port_t -p tcp 8005 > /dev/null 2>&1 || :
    %endif
fi

%files
%defattr(0640,root,root,0750)
%attr(0755,root,root) %{_bindir}/%{pkg_name}-digest
%attr(0755,root,root) %{_bindir}/%{pkg_name}-tool-wrapper
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/sysconfig/%{pkg_name}
%if 0%{?rhel} <= 6
    %attr(0644,root,root) %config(noreplace) %{_root_sysconfdir}/logrotate.d/%{name}
%endif

%defattr(0640,root,tomcat,0750)
%dir %{basedir}
%attr(0751,root,tomcat) %dir %{homedir}
%dir %{confdir}
%attr(0770,root,tomcat) %dir %{confdir}/Catalina
%attr(0770,root,tomcat) %dir %{confdir}/Catalina/localhost
%if 0%{?rhel} >= 7
    %dir %{confdir}/conf.d
    %{confdir}/conf.d/README
%endif
%config(noreplace) %{confdir}/%{pkg_name}.conf
%config(noreplace) %{confdir}/catalina.policy
%config(noreplace) %{confdir}/catalina.properties
%config(noreplace) %{confdir}/logging.properties
%config(noreplace) %{confdir}/context.xml
%config(noreplace) %{confdir}/server.xml
%config(noreplace) %{confdir}/tomcat-users.xml
%{confdir}/tomcat-users.xsd
%config(noreplace) %{confdir}/jaspic-providers.xml
%{confdir}/jaspic-providers.xsd
%config(noreplace) %{confdir}/web.xml
# Tomcat needs to write to all of these dirs
%attr(0770,tomcat,tomcat) %dir %{cachedir}
%attr(0770,tomcat,tomcat) %dir %{tempdir}
%attr(0770,tomcat,tomcat) %dir %{workdir}
%attr(0770,tomcat,tomcat) %dir %{appdir}
# Slightly more restrictive group access (-w) on the logs
%attr(0750,tomcat,tomcat) %dir %{logdir}

%defattr(0644,root,root,0755)
%dir %{bindir}
%{bindir}/bootstrap-%{version}.jar
%{bindir}/bootstrap.jar
%{bindir}/catalina-tasks.xml
%{bindir}/commons-daemon*-jws5.jar
%{bindir}/tomcat-juli-%{version}.jar
%{bindir}/tomcat-juli.jar

%defattr(0640,root,root,0750)
%{homedir}/conf
%{homedir}/lib
%{homedir}/logs
%{homedir}/temp
%{homedir}/webapps
%{homedir}/work

%defattr(0755,root,root,0755)
%{_sbindir}/%{pkg_name}
%if 0%{?rhel} >= 7
    %attr(0644,root,root) %{_unitdir}/%{name}.service
    %attr(0644,root,root) %{_unitdir}/%{name}@.service
    %dir %{_libexecdir}/%{pkg_name}
    %dir %{_localstatedir}/lib/tomcats
    %{_libexecdir}/%{pkg_name}/functions
    %{_libexecdir}/%{pkg_name}/preamble
    %{_libexecdir}/%{pkg_name}/server
%else
    %{_root_initddir}/%{name}
%endif

%files webapps
%defattr(0640,tomcat,tomcat,0750)
%{appdir}/ROOT

%files admin-webapps
%defattr(0640,tomcat,tomcat,0750)
%{appdir}/host-manager
%{appdir}/manager
%config(noreplace) %{appdir}/manager/WEB-INF/web.xml
%config(noreplace) %{appdir}/host-manager/WEB-INF/web.xml

%files docs-webapp
%defattr(0640,tomcat,tomcat,0750)
%{appdir}/docs

%files el-%{elspec}-api
%defattr(0644,root,root,0755)
#%if 0%{?rhel} == 6
%{_javadir}/%{pkg_name}-el-%{elspec}-api-%{version}.jar
%{_javadir}/%{pkg_name}-el-%{elspec}-api.jar
#%endif
%dir %{libdir}
%{libdir}/el-api.jar
%{libdir}/el-api-%{version}.jar
%ghost %{_javadir}*/el_%{elspecalt}_api.jar
%ghost %{_javadir}*/el-api.jar

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{pkg_name}-%{version}
%{_javadocdir}/%{pkg_name}

%files jsp-%{jspspec}-api
%defattr(0644,root,root,0755)
#%if 0%{?rhel} == 6
%{_javadir}/%{pkg_name}-jsp-%{jspspec}-api-%{version}.jar
%{_javadir}/%{pkg_name}-jsp-%{jspspec}-api.jar
#%endif
%dir %{libdir}
%{libdir}/jsp-api.jar
%{libdir}/jsp-api-%{version}.jar
%ghost %{_javadir}*/jsp-api.jar

%files lib
%defattr(0644,root,root,0755)
%dir %{libdir}
%{libdir}/annotations-api.jar
%{libdir}/annotations-api-%{version}.jar
%{libdir}/catalina.jar
%{libdir}/catalina-%{version}.jar
%{libdir}/catalina-ant.jar
%{libdir}/catalina-ant-%{version}.jar
%{libdir}/catalina-ha.jar
%{libdir}/catalina-ha-%{version}.jar
%{libdir}/catalina-tribes.jar
%{libdir}/catalina-tribes-%{version}.jar
%{libdir}/tomcat-jdbc.jar
%{libdir}/tomcat-jdbc-%{version}.jar
%{libdir}/tomcat-util.jar
%{libdir}/tomcat-util-%{version}.jar
%{libdir}/tomcat-api.jar
%{libdir}/tomcat-api-%{version}.jar
%{libdir}/ecj-%{ecjrev}-jws5.jar
%{libdir}/jasper.jar
%{libdir}/jasper-%{version}.jar
%{libdir}/jasper-el.jar
%{libdir}/jasper-el-%{version}.jar
%{libdir}/tomcat-coyote.jar
%{libdir}/tomcat-coyote-%{version}.jar
%{libdir}/tomcat-i18n-es.jar
%{libdir}/tomcat-i18n-es-%{version}.jar
%{libdir}/tomcat-i18n-fr.jar
%{libdir}/tomcat-i18n-fr-%{version}.jar
%{libdir}/tomcat-i18n-ja.jar
%{libdir}/tomcat-i18n-ja-%{version}.jar
%{libdir}/websocket-api.jar
%{libdir}/websocket-api-%{version}.jar
%{libdir}/jaspic-api.jar
%{libdir}/jaspic-api-%{version}.jar
%{libdir}/tomcat-websocket.jar
%{libdir}/tomcat-websocket-%{version}.jar
%{libdir}/tomcat-util-scan.jar
%{libdir}/tomcat-util-scan-%{version}.jar
%{libdir}/catalina-storeconfig.jar
%{libdir}/catalina-storeconfig-%{version}.jar
%{libdir}/tomcat-jni.jar
%{libdir}/tomcat-jni-%{version}.jar
%{libdir}/tomcat-dbcp.jar
%{libdir}/tomcat-dbcp-%{version}.jar

%files servlet-%{servletspec}-api
%defattr(0644,root,root,0755)
%{_javadir}/%{pkg_name}-servlet-%{servletspec}-api-%{version}.jar
%{_javadir}/%{pkg_name}-servlet-%{servletspec}-api.jar
%dir %{libdir}
%{libdir}/servlet-api.jar
%{libdir}/servlet-api-%{version}.jar
%ghost %{_javadir}/servlet-api.jar

%if %with zips
%files zip
%defattr(0644,root,root,0755)
%dir %{_javadir}/%{pkg_name}-fordev
%{_javadir}/%{pkg_name}-fordev/tomcat-%{namedversion}-docs.zip
%{_javadir}/%{pkg_name}-fordev/tomcat-%{namedversion}-examples.zip
%{_javadir}/%{pkg_name}-fordev/tomcat-%{namedversion}.zip

%files src-zip
%defattr(0644,root,root,0755)
%dir %{_javadir}/%{pkg_name}-fordev
%{_javadir}/%{pkg_name}-fordev/tomcat-%{namedversion}-src.zip
%endif

%files jsvc
%defattr(755,root,root,0755)
%if 0%{?rhel} >= 7
    %attr(0644,root,root) %{_unitdir}/%{name}-jsvc.service
    %attr(0644,root,root) %config(noreplace) %{_root_sysconfdir}/logrotate.d/%{name}
%else
    %{_sbindir}/%{pkg_name}-jsvc
    %{_root_initddir}/%{name}-jsvc
%endif

%files selinux
%defattr(-,root,root,-)
%dir %{_datadir}/selinux
%dir %{_datadir}/selinux/packages
%dir %{_datadir}/selinux/packages/%{name}
%{_datadir}/selinux/packages/%{name}/%{name}.pp
%doc selinux/*

%changelog
* Wed Jun 06 2018 Coty Sutherland <csutherl@redhat.com> - 9.0.7-10.redhat_10.1
- Build for JWS-5.0.0.RHEL_CR1

* Wed Jun 06 2018 Coty Sutherland <csutherl@redhat.com> - 9.0.7-10.redhat_10.1
- Resolves: JWS-1024 Tomcat's Digester tries to use a non-initialized variable causing a NPE
- Resolves: JWS-996 Connection leak during XATransaction in high load

* Fri May 18 2018 Coty Sutherland <csutherl@redhat.com> - 9.0.7-9.redhat_9.1
- Related: JWS-995 Tweaking maven dependencies at bit

* Tue May 15 2018 Coty Sutherland <csutherl@redhat.com> - 9.0.7-8.redhat_8.1
- Building without the embed zip

* Tue May 15 2018 Coty Sutherland <csutherl@redhat.com> - 9.0.7-8.redhat_8.1
- Building without the embed zip

* Tue May 15 2018 Coty Sutherland <csutherl@redhat.com> - 9.0.7-7.redhat_7.1
- Build for JWS-5.0.0.RHEL_ER2

* Thu May 03 2018 Coty Sutherland <csutherl@redhat.com> - 9.0.7-7.redhat_6.1
- Related: JWS-967 Remove jpackages-util dep from javadoc subpackage

* Tue May 01 2018 Coty Sutherland <csutherl@redhat.com> - 9.0.7-6.redhat_6.1
- Rebuild to include fix for JWS-991

* Tue May 01 2018 Coty Sutherland <csutherl@redhat.com> - 9.0.7-5.redhat_5.1
- Rebuild for JWS-521 and JWS-991

* Tue May 01 2018 Coty Sutherland <csutherl@redhat.com> - 9.0.7-5.redhat_4.1
- Related: JWS-521 Hardcode path to commons-daemon after JWS-968 broke jsvc

* Mon Apr 16 2018 Coty Sutherland <csutherl@redhat.com> - 9.0.7-4.redhat_4.1
- Resolves: JWS-972 Enable the configuration of multiple properties files
- Resolves: JWS-973 Add system property expansion support for properties files

* Thu Apr 12 2018 Coty Sutherland <csutherl@redhat.com> - 9.0.7-3.redhat_2.1
- Resolves: JWS-727 Cleanup selinux packages dir on uninstall
- Resolves: JWS-681 Change java requirement for tomcat to headless
- Resolves: JWS-968 common-daemon jar symlink contains wrong version in name
- Resolves: JWS-771 tomcat-tool-wrapper is missing tomcat-api.jar on the CLASSPATH
- Resolves: JWS-770 tomcat-digest missing tomcat-api.jar at CLASSPATH

* Wed Apr 11 2018 Coty Sutherland <csutherl@redhat.com> - 9.0.7-2.redhat_2.1
- Resolves: JWS-599 Tomcat ServerInfo update to reflect redhat version string
- Resolves: JWS-967 jpackage-utils RPM dependency should be updated to use the jws5-javapackages-tools package

* Wed Apr 11 2018 Coty Sutherland <csutherl@redhat.com> - 9.0.7-1.redhat_1.1
- Rebase to Tomcat 9.0.7

* Mon Apr 09 2018 Coty Sutherland <csutherl@redhat.com> - 9.0.6-2.redhat_2.2
- Resolves: JWS-965 tomcat doesn't start via jws5-tomcat service

* Tue Mar 20 2018 Coty Sutherland <csutherl@redhat.com> - 9.0.6-1.redhat_1.1
- Rebase to Tomcat 9.0.6

* Tue Mar 20 2018 Coty Sutherland <csutherl@redhat.com> - 9.0.6-1.redhat_1.1
- Rebase to Tomcat 9.0.6

* Tue Feb 27 2018 Coty Sutherland <csutherl@redhat.com> - 9.0.5-2.redhat_2.2
- Resolves: JWS-822 man page uid and gid mismatch for service accounts
- Resolves: JWS-817 SELinux denies name_bind to jboss_management_port_t for tomcat_t
- Resolves: JWS-818 SELinux denies name_connect to mysql_port_t for tomcat_t
- Resolves: JWS-819 SELinux denies name_connect to mssql_port_t for tomcat_t
- Resolves: JWS-844 Problem to start tomcat with a user whose group has a name different to the user
- Resolves: JWS-845 tomcat-jsvc.service has TOMCAT_USER value hard-coded
- Resolves: JWS-864 tomcat systemd does not cope with - in service names

* Tue Feb 20 2018 Patrick Sutherland <csutherl@redhat.com> - 9.0.5-1.redhat_2.1
- Attempt #2

* Tue Feb 20 2018 Coty Sutherland <csutherl@redhat.com> - 9.0.5.redhat_1.1
- JWS_5.0.0.DR1
